/**  
* @Title: PayParam.java 
* @Package com.platform.ui.domain 
* @Description: TODO
* @author kiosk
* @date 2017年7月19日 上午10:28:03 
* @version V1.0
* @Copyright: Copyright (c) kiosk Co.Ltd. 2017
* ★★★★★★★★版权所有※拷贝必究 ★★★★★★★★
*/ 
package com.platform.request.json;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/** 
 * @ClassName: PayParam 
 * @Description: TODO
 * @author kiosk
 * @date 2017年7月19日 上午10:28:03
 * @version V1.0 
 */

public class RequestParameter implements Serializable{
	
	/** 
	* @Fields serialVersionUID : TODO
	* @version V1.0
	*/ 
	
	private static final long serialVersionUID = -3050488310627386790L;
	
	//公用
	@JsonIgnoreProperties(ignoreUnknown = true)
	private String machine_ip;//
	@JsonIgnoreProperties(ignoreUnknown = true)
	private String machine_no;//
	@JsonIgnoreProperties(ignoreUnknown = true)
	private String machine_name;//
	@JsonIgnoreProperties(ignoreUnknown = true)
	private String machine_type;//
	
	
	private String service;//
	private String service_version;//
	private String input_charset;//
	private String sign_type;//
	private String sign;//
	
	//支付、查询
	private String partner;
	private String subpartner;
	private String out_trade_no;
	private String subject;
	private String fee_type;
	private String trade_mode;
	private Double total_fee;
	private Double product_fee;
	private Double transport_fee;
	private String body;
	private String show_url;
	private String deliveryaddr;
	private String trans_channel;
	private String return_url;
	private String notify_url;
	private String time_start;
	private String time_expire;
	private Integer batch_num;
	private String trade_details;
	private String pay_type;
	private String biz_type;
	private String spbill_create_ip;
	
	//退款
	private String transaction_id;
	private String out_refund_no;
	private Double refund_fee;
	private String op_user_passwd;
	private String recv_user_id;
	private String reccv_user_name;
	private String is_service_fee;
	private Double service_fee;
	
	//通知id查询
	private String notify_id;//通知id
	
	//对账单查询
	private String order_date;//下载对账单的日期，格式： yyyyMMdd    例如：20130910
	private String order_type;//下载对账单类型： 0001：返回当日所有订单 0002：返回当日成功支付的订单 0003：返回当日退款的订单 默认：0001；

	
	/**
	 * @return the service
	 */
	
	public String getService() {
		return service;
	}
	/**
	 * @param service the service to set
	 */
	
	public void setService(String service) {
		this.service = service;
	}
	/**
	 * @return the service_version
	 */
	
	public String getService_version() {
		return service_version;
	}
	/**
	 * @param service_version the service_version to set
	 */
	
	public void setService_version(String service_version) {
		this.service_version = service_version;
	}
	/**
	 * @return the input_charset
	 */
	
	public String getInput_charset() {
		return input_charset;
	}
	/**
	 * @param input_charset the input_charset to set
	 */
	
	public void setInput_charset(String input_charset) {
		this.input_charset = input_charset;
	}
	/**
	 * @return the sign_type
	 */
	
	public String getSign_type() {
		return sign_type;
	}
	/**
	 * @param sign_type the sign_type to set
	 */
	
	public void setSign_type(String sign_type) {
		this.sign_type = sign_type;
	}
	/**
	 * @return the partner
	 */
	public String getPartner() {
		return partner;
	}
	/**
	 * @param partner the partner to set
	 */
	public void setPartner(String partner) {
		this.partner = partner;
	}
	/**
	 * @return the out_trade_no
	 */
	public String getOut_trade_no() {
		return out_trade_no;
	}
	/**
	 * @param out_trade_no the out_trade_no to set
	 */
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
	/**
	 * @return the subject
	 */
	public String getSubject() {
		return subject;
	}
	/**
	 * @param subject the subject to set
	 */
	public void setSubject(String subject) {
		this.subject = subject;
	}
	/**
	 * @return the total_fee
	 */
	public Double getTotal_fee() {
		return total_fee;
	}
	/**
	 * @param total_fee the total_fee to set
	 */
	public void setTotal_fee(Double total_fee) {
		this.total_fee = total_fee;
	}
	/**
	 * @return the product_fee
	 */
	public Double getProduct_fee() {
		return product_fee;
	}
	/**
	 * @param product_fee the product_fee to set
	 */
	public void setProduct_fee(Double product_fee) {
		this.product_fee = product_fee;
	}
	/**
	 * @return the transport_fee
	 */
	public Double getTransport_fee() {
		return transport_fee;
	}
	/**
	 * @param transport_fee the transport_fee to set
	 */
	public void setTransport_fee(Double transport_fee) {
		this.transport_fee = transport_fee;
	}
	/**
	 * @return the body
	 */
	public String getBody() {
		return body;
	}
	/**
	 * @param body the body to set
	 */
	public void setBody(String body) {
		this.body = body;
	}
	/**
	 * @return the show_url
	 */
	public String getShow_url() {
		return show_url;
	}
	/**
	 * @param show_url the show_url to set
	 */
	public void setShow_url(String show_url) {
		this.show_url = show_url;
	}
	/**
	 * @return the deliveryaddr
	 */
	public String getDeliveryaddr() {
		return deliveryaddr;
	}
	/**
	 * @param deliveryaddr the deliveryaddr to set
	 */
	public void setDeliveryaddr(String deliveryaddr) {
		this.deliveryaddr = deliveryaddr;
	}
	/**
	 * @return the trans_channel
	 */
	public String getTrans_channel() {
		return trans_channel;
	}
	/**
	 * @param trans_channel the trans_channel to set
	 */
	public void setTrans_channel(String trans_channel) {
		this.trans_channel = trans_channel;
	}
	/**
	 * @return the return_url
	 */
	public String getReturn_url() {
		return return_url;
	}
	/**
	 * @param return_url the return_url to set
	 */
	public void setReturn_url(String return_url) {
		this.return_url = return_url;
	}
	/**
	 * @return the notify_url
	 */
	public String getNotify_url() {
		return notify_url;
	}
	/**
	 * @param notify_url the notify_url to set
	 */
	public void setNotify_url(String notify_url) {
		this.notify_url = notify_url;
	}
	/**
	 * @return the time_start
	 */
	public String getTime_start() {
		return time_start;
	}
	/**
	 * @param time_start the time_start to set
	 */
	public void setTime_start(String time_start) {
		this.time_start = time_start;
	}
	/**
	 * @return the time_expire
	 */
	public String getTime_expire() {
		return time_expire;
	}
	/**
	 * @param time_expire the time_expire to set
	 */
	public void setTime_expire(String time_expire) {
		this.time_expire = time_expire;
	}
	/**
	 * @return the batch_num
	 */
	public Integer getBatch_num() {
		return batch_num;
	}
	/**
	 * @param batch_num the batch_num to set
	 */
	public void setBatch_num(Integer batch_num) {
		this.batch_num = batch_num;
	}
	/**
	 * @return the trade_details
	 */
	public String getTrade_details() {
		return trade_details;
	}
	/**
	 * @param trade_details the trade_details to set
	 */
	public void setTrade_details(String trade_details) {
		this.trade_details = trade_details;
	}
	/**
	 * @return the pay_type
	 */
	public String getPay_type() {
		return pay_type;
	}
	/**
	 * @param pay_type the pay_type to set
	 */
	public void setPay_type(String pay_type) {
		this.pay_type = pay_type;
	}
	/**
	 * @return the biz_type
	 */
	public String getBiz_type() {
		return biz_type;
	}
	/**
	 * @param biz_type the biz_type to set
	 */
	public void setBiz_type(String biz_type) {
		this.biz_type = biz_type;
	}
	  
		/**
		 * @return the fee_type
		 */  
	    
	public String getFee_type() {
		return fee_type;
	}
	  
	    /**
		 * @param fee_type the fee_type to set
		 */  
	    
	public void setFee_type(String fee_type) {
		this.fee_type = fee_type;
	}
		  
			/**
			 * @return the sign
			 */  
		    
		public String getSign() {
			return sign;
		}
		  
		    /**
			 * @param sign the sign to set
			 */  
		    
		public void setSign(String sign) {
			this.sign = sign;
		}
			  
				/**
				 * @return the trade_mode
				 */  
			    
			public String getTrade_mode() {
				return trade_mode;
			}
			  
			    /**
				 * @param trade_mode the trade_mode to set
				 */  
			    
			public void setTrade_mode(String trade_mode) {
				this.trade_mode = trade_mode;
			}
				  
					/**
					 * @return the spbill_create_ip
					 */  
				    
				public String getSpbill_create_ip() {
					return spbill_create_ip;
				}
				  
				    /**
					 * @param spbill_create_ip the spbill_create_ip to set
					 */  
				    
				public void setSpbill_create_ip(String spbill_create_ip) {
					this.spbill_create_ip = spbill_create_ip;
				}
					/**
					 * @return the transaction_id
					 */
					
					public String getTransaction_id() {
						return transaction_id;
					}
					/**
					 * @param transaction_id the transaction_id to set
					 */
					
					public void setTransaction_id(String transaction_id) {
						this.transaction_id = transaction_id;
					}
					/**
					 * @return the out_refund_no
					 */
					
					public String getOut_refund_no() {
						return out_refund_no;
					}
					/**
					 * @param out_refund_no the out_refund_no to set
					 */
					
					public void setOut_refund_no(String out_refund_no) {
						this.out_refund_no = out_refund_no;
					}
					/**
					 * @return the refund_fee
					 */
					
					public Double getRefund_fee() {
						return refund_fee;
					}
					/**
					 * @param refund_fee the refund_fee to set
					 */
					
					public void setRefund_fee(Double refund_fee) {
						this.refund_fee = refund_fee;
					}
					/**
					 * @return the subpartner
					 */
					public String getSubpartner() {
						return subpartner;
					}
					/**
					 * @param subpartner the subpartner to set
					 */
					public void setSubpartner(String subpartner) {
						this.subpartner = subpartner;
					}
					/**
					 * @return the op_user_passwd
					 */
					public String getOp_user_passwd() {
						return op_user_passwd;
					}
					/**
					 * @param op_user_passwd the op_user_passwd to set
					 */
					public void setOp_user_passwd(String op_user_passwd) {
						this.op_user_passwd = op_user_passwd;
					}
					/**
					 * @return the recv_user_id
					 */
					public String getRecv_user_id() {
						return recv_user_id;
					}
					/**
					 * @param recv_user_id the recv_user_id to set
					 */
					public void setRecv_user_id(String recv_user_id) {
						this.recv_user_id = recv_user_id;
					}
					/**
					 * @return the reccv_user_name
					 */
					public String getReccv_user_name() {
						return reccv_user_name;
					}
					/**
					 * @param reccv_user_name the reccv_user_name to set
					 */
					public void setReccv_user_name(String reccv_user_name) {
						this.reccv_user_name = reccv_user_name;
					}
					/**
					 * @return the is_service_fee
					 */
					public String getIs_service_fee() {
						return is_service_fee;
					}
					/**
					 * @param is_service_fee the is_service_fee to set
					 */
					public void setIs_service_fee(String is_service_fee) {
						this.is_service_fee = is_service_fee;
					}
					/**
					 * @return the service_fee
					 */
					public Double getService_fee() {
						return service_fee;
					}
					/**
					 * @param service_fee the service_fee to set
					 */
					public void setService_fee(Double service_fee) {
						this.service_fee = service_fee;
					}
					/**
					 * @return the machine_ip
					 */
					public String getMachine_ip() {
						return machine_ip;
					}
					/**
					 * @param machine_ip the machine_ip to set
					 */
					public void setMachine_ip(String machine_ip) {
						this.machine_ip = machine_ip;
					}
					/**
					 * @return the machine_no
					 */
					public String getMachine_no() {
						return machine_no;
					}
					/**
					 * @param machine_no the machine_no to set
					 */
					public void setMachine_no(String machine_no) {
						this.machine_no = machine_no;
					}
					/**
					 * @return the machine_name
					 */
					public String getMachine_name() {
						return machine_name;
					}
					/**
					 * @param machine_name the machine_name to set
					 */
					public void setMachine_name(String machine_name) {
						this.machine_name = machine_name;
					}
					/**
					 * @return the machine_type
					 */
					public String getMachine_type() {
						return machine_type;
					}
					/**
					 * @param machine_type the machine_type to set
					 */
					public void setMachine_type(String machine_type) {
						this.machine_type = machine_type;
					}
					/**
					 * @return the notify_id
					 */
					public String getNotify_id() {
						return notify_id;
					}
					/**
					 * @param notify_id the notify_id to set
					 */
					public void setNotify_id(String notify_id) {
						this.notify_id = notify_id;
					}
					/**
					 * @return the order_date
					 */
					public String getOrder_date() {
						return order_date;
					}
					/**
					 * @param order_date the order_date to set
					 */
					public void setOrder_date(String order_date) {
						this.order_date = order_date;
					}
					/**
					 * @return the order_type
					 */
					public String getOrder_type() {
						return order_type;
					}
					/**
					 * @param order_type the order_type to set
					 */
					public void setOrder_type(String order_type) {
						this.order_type = order_type;
					}
	
	
	
	
}
